package com.ruoyi.system.service.projectV2;

import java.util.List;
import com.ruoyi.system.domain.projectV2.ZsyzLcjl;

/**
 * 招商引资_流程记录Service接口
 * 
 * @author ruoyi
 * @date 2023-02-27
 */
public interface IZsyzLcjlService 
{
    /**
     * 查询招商引资_流程记录
     * 
     * @param id 招商引资_流程记录主键
     * @return 招商引资_流程记录
     */
    public ZsyzLcjl selectZsyzLcjlById(Long id);

    /**
     * 查询招商引资_流程记录列表
     * 
     * @param zsyzLcjl 招商引资_流程记录
     * @return 招商引资_流程记录集合
     */
    public List<ZsyzLcjl> selectZsyzLcjlList(ZsyzLcjl zsyzLcjl);

    /**
     * 新增招商引资_流程记录
     * 
     * @param zsyzLcjl 招商引资_流程记录
     * @return 结果
     */
    public int insertZsyzLcjl(ZsyzLcjl zsyzLcjl);

    /**
     * 修改招商引资_流程记录
     * 
     * @param zsyzLcjl 招商引资_流程记录
     * @return 结果
     */
    public int updateZsyzLcjl(ZsyzLcjl zsyzLcjl);

    /**
     * 批量删除招商引资_流程记录
     * 
     * @param ids 需要删除的招商引资_流程记录主键集合
     * @return 结果
     */
    public int deleteZsyzLcjlByIds(Long[] ids);

    /**
     * 删除招商引资_流程记录信息
     * 
     * @param id 招商引资_流程记录主键
     * @return 结果
     */
    public int deleteZsyzLcjlById(Long id);
}
